{{page-title "Cipher"}}
<div class="d-flex align-items-center min-vh-100 bg-dark">
    <div class="d-inline-flex container justify-content-center">
        <div class="card">
            <div class="card-body">
                <div class="form-group">
                    <label for="message-input">Message</label>
                    <Input @id="message-input" @type="text" class="form-control" @value={{this.message}} />
                </div>
                <div class="form-group">
                    <label for="key-input">Key</label>
                    <Input @id="key-input" @type="text" class="form-control" @value={{this.cipherKey}} />
                </div>
                <div class="form-group justify-content-center">
                    <Input @id="cipher-result" @type="text" class="form-control text-center" @disabled={{true}} @value={{this.cipherResult}} />
                </div>
                <div class="form-group justify-content-center">
                    <label for="ae">Avalanche Effect%</label>
                    <Input @id="ae" @type="number" class="form-control text-center" @disabled={{true}} @value={{this.ae}} />
                </div>
                <div class="col d-flex justify-content-center">
                    <button class="btn btn-dark m-2" {{action "setCipherMethodToAES"}}>AES</button>
                    <button class="btn btn-dark m-2" {{action "setCipherMethodToDES"}}>DES</button>
                    <button class="btn btn-dark m-2" {{action "setCipherMethodToTripleDES"}}>TripleDES</button>
                </div>
                <BsAlert
                    @visible={{this.isMethodSuccessfullyChangedAlertVisible}}
                    @fade={{true}}
                    @type="success"
                >
                    Cipher method successfully changed to {{this.cipherMethod}}
                </BsAlert>
            </div>
            <div class="card-footer">
                <div class="float-left">
                    <LinkTo @route="index">
                        <button class="btn btn-secondary">Back</button>
                    </LinkTo>
                </div>
                <div class="float-right">
                    <button class="btn btn-secondary" {{action "initiateAvalancheEffectTransaction"}}>Calculate AE</button>
                    <button class="btn btn-success" {{action "encryptMessage"}}>Encrypt</button>
                    <button class="btn btn-success" {{action "decryptMessage"}}>Decrypt</button>
                </div>
            </div>
        </div>
    </div>
</div>